Page MenuHomePhabricator

[lld-macho] Add time tracing for LTO
ClosedPublic

Authored by int3 on Mar 24 2021, 11:18 PM.

Details

Reviewers
oontvoo
Group Reviewers
Restricted Project
Commits
rGae7aa9ed151d: [lld-macho] Add time tracing for LTO
Summary

The test is similar to the one used for LLD-ELF.

Diff Detail

Event Timeline

int3 created this revision.Mar 24 2021, 11:18 PM
Herald added a project: Restricted Project. · View Herald TranscriptMar 24 2021, 11:18 PM
int3 requested review of this revision.Mar 24 2021, 11:18 PM
Herald added a project: Restricted Project. · View Herald TranscriptMar 24 2021, 11:18 PM
oontvoo accepted this revision.Mar 25 2021, 9:59 AM
oontvoo added a subscriber: oontvoo.

Cool!

This revision is now accepted and ready to land.Mar 25 2021, 9:59 AM
tschuett added inline comments.
lld/test/MachO/thinlto-time-trace.ll
24

British english?

int3 marked an inline comment as done.Mar 25 2021, 10:53 AM
int3 added inline comments.
lld/test/MachO/thinlto-time-trace.ll
24

ah this was copypasta

int3 updated this revision to Diff 333348.Mar 25 2021, 10:53 AM
int3 marked an inline comment as done.

USA USA USA

This revision was landed with ongoing or failed builds.Mar 26 2021, 3:14 PM
This revision was automatically updated to reflect the committed changes.